# SX127x
## Introduction
This library implements support for the [SX1276/77/78/79](https://www.semtech.com/products/wireless-rf/lora-connect/sx1276) transceivers in LoRa mode. It is written for the STM32 HAL, but a low-level, platform agnostic library is planned.

## Usage
Clone this repository, or add it as a submodule, to your STM32 project under the Drivers/ directory.

Example:
```
#include "sx127x.h"
sx127x_t sx127x;
sx127x_init(&sx127x, &hspi1, SPI1_CS_GPIO_Port, SPI1_CS_Pin);
sx127x_tx(&sx127x, (uint8_t *) "Hello, world!\r\n", 15);
```
